<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
        <p:panelGrid id="panelDocIdentidad" columns="3">
                <p:outputLabel for="estadoDocumento" value="Situación de documentación : " />
				<p:selectOneMenu id="estadoDocumento" value="#{legajoMB.instance.estadoDoc}" required="true" label="Situación de documentación" disabled="#{!legajoMB.puedeEditar()}">
	                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	                		<f:selectItems value="#{commonSelectorsMB.valoresEstadoDoc}" />
	                		<p:ajax event="change" listener="#{legajoMB.actualizarDatosDoc}" update="panelDocIdentidad"/>
	            </p:selectOneMenu>
	            <p:message  for="estadoDocumento" display="icon"/>   
                
                <p:outputLabel for="tipoDocumento" value="Tipo de documento : " />
                <p:inputText id="tipoDocumento" value="#{legajoMB.instance.tipoDocumento}"  disabled="#{legajoMB.instance.estadoDoc ne 'POSEE_DOC_EXTRANJERO'}" readonly="#{!legajoMB.puedeEditar()}">
                </p:inputText>
                <h:panelGroup/>
            
                <p:outputLabel for="nroDocumento" value="Nro. documento : " />
                <p:inputText id="nroDocumento" value="#{legajoMB.instance.nroDocumento}" 
                	disabled="#{legajoMB.instance.estadoDoc ne 'POSEE_DOC_EXTRANJERO' and legajoMB.instance.estadoDoc ne 'POSEE_DOCUMENTO'}" 
                	readonly="#{!legajoMB.puedeEditar()}"
                	onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>
				<h:panelGroup/>
				
				<p:outputLabel for="paisNac" value="País de Nacimiento : " />
				<p:selectOneMenu id="paisNac" value="#{legajoMB.instance.paisNacimiento}" 
					converter="nacionalidadConverter" label="País de Nacimiento" disabled="#{!legajoMB.puedeEditar()}">
	                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	                		<f:selectItems value="#{commonSelectorsMB.nacionalidades}" var="nac"
                          itemValue="#{nac}"
                          itemLabel="#{nac.descripcion}" />
	            </p:selectOneMenu>
	            <p:message  for="paisNac" display="icon"/> 

				<p:outputLabel for="nacionalidad" value="Nacionalidad : " />
				<p:selectOneMenu id="nacionalidad" value="#{legajoMB.instance.nacionalidad}" 
					converter="nacionalidadConverter" label="Nacionalidad" disabled="#{!legajoMB.puedeEditar()}">
	                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	                		<f:selectItems value="#{commonSelectorsMB.nacionalidades}" var="nac"
                          itemValue="#{nac}"
                          itemLabel="#{nac.descripcion}" />
	            </p:selectOneMenu>
	            <p:message  for="nacionalidad" display="icon"/> 

                <p:outputLabel for="constanciaDeParto" value="Constancia de Parto : " />
            	<p:selectBooleanCheckbox id="constanciaDeParto" value="#{legajoMB.instance.constanciaDeParto}" 
            			disabled="#{legajoMB.instance.estadoDoc ne 'NO_POSEE_DOCUMENTO' or !legajoMB.puedeEditar()}"/>
				<h:panelGroup/>

                <p:outputLabel for="partidaNacimiento" value="Partida de Nacimiento : " />
            	<p:selectBooleanCheckbox id="partidaNacimiento" value="#{legajoMB.instance.partidaNacimiento}" 
            			disabled="#{legajoMB.instance.estadoDoc ne 'NO_POSEE_DOCUMENTO' or !legajoMB.puedeEditar()}"/>
				<h:panelGroup/>	
                
                <p:outputLabel for="seIntervEnSuGestion" value="Se interviene en su gestion : " />
            	<p:selectBooleanCheckbox id="seIntervEnSuGestion" value="#{legajoMB.instance.seIntervEnSuGestion}"
            		disabled="#{legajoMB.instance.estadoDoc ne 'NO_POSEE_DOCUMENTO' or !legajoMB.puedeEditar()}" />
				<h:panelGroup/>
				
				<p:outputLabel value="Adjuntar DNI :"  />
				<p:fileUpload fileUploadListener="#{legajoMB.handleFileDNI}" mode="advanced" dragDropSupport="false"
           			fileLimit="1" allowTypes="/(\.|\/)(gif|jpe?g|pdf)$/" 
           			update="dnilbl dnibtn" 
           			label="Seleccionar" uploadLabel="Subir" cancelLabel="Cancelar"/>
				<h:panelGroup/>
				
				<h:panelGroup/>
				<h:panelGrid columns="2">
					<p:commandButton value="Descargar..." ajax="false"  id="dnibtn"
								onclick="PrimeFaces.monitorDownload(start, stop);" 
								icon="ui-icon-arrowthick-1-s" immediate="true"
								disabled="#{empty legajoMB.instance.fileDNI}">
	        				<p:fileDownload  value="#{legajoMB.downloadFile(legajoMB.instance.fileDNI)}" label="Seleccione..."/>
	    			</p:commandButton>
					<p:outputLabel  value="#{legajoMB.instance.fileDNI}" id="dnilbl" />
				</h:panelGrid>
				<h:panelGroup/>
				
				<p:outputLabel value="Adjuntar Partida de nacimiento :"  />
				<p:fileUpload fileUploadListener="#{legajoMB.handleFilePartidaNacimiento}" mode="advanced" dragDropSupport="false"
           			fileLimit="1" allowTypes="/(\.|\/)(gif|jpe?g|pdf)$/" 
           			update="partidalbl partidabtn" 
           			label="Seleccionar" uploadLabel="Subir" cancelLabel="Cancelar"/>
				<h:panelGroup/>
				
				<h:panelGroup/>
				<h:panelGrid columns="2">
					<p:commandButton value="Descargar..." ajax="false"  id="partidabtn"
								onclick="PrimeFaces.monitorDownload(start, stop);" 
								icon="ui-icon-arrowthick-1-s" immediate="true"
								disabled="#{empty legajoMB.instance.filePartidaNacimiento}">
	        				<p:fileDownload  value="#{legajoMB.downloadFile(legajoMB.instance.filePartidaNacimiento)}" label="Seleccione..." />
	    			</p:commandButton>
					<p:outputLabel  value="#{legajoMB.instance.filePartidaNacimiento}" id="partidalbl" />
				</h:panelGrid>
				<h:panelGroup/>
		</p:panelGrid>
</ui:composition>